## org.eclipse.datatools.modelbase.sql.schema
Interface TypedElement

All Superinterfaces:
  SQLObject

All Known Subinterfaces:
  AttributeDefinition, Column, Field, Parameter, Sequence

All Known Implementing Classes:
  AttributeDefinitionImpl, ColumnImpl, FieldImpl, ParameterImpl, SequenceImpl, TypedElementImpl

public interface TypedElement
extends SQLObject

A representation of the model object 'Typed Element'.

The following features are supported:

- `Contained Type`
- `Referenced Type`

See Also:
  `SQLSchemaPackage.getTypedElement()`

Method Summary
`SQLDataType` `getContainedType()` Returns the value of the 'Contained Type' containment reference.
`DataType` `getDataType()` Get the type for this TypedElement
`UserDefinedType` `getReferencedType()` Returns the value of the 'Referenced Type' reference.
`void` `setContainedType(SQLDataType value)` Sets the value of the '`Contained Type`' containment reference.
`void` `setDataType(DataType newType)` Set the type for this TypedElement
`void` `setReferencedType(UserDefinedType value)` Sets the value of the '`Referenced Type`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getContainedType

    public SQLDataType getContainedType()

  Returns the value of the 'Contained Type' containment reference.

  If the meaning of the 'Contained Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contained Type' containment reference.
  See Also:
    `setContainedType(SQLDataType)`, `SQLSchemaPackage.getTypedElement_ContainedType()`

### setContainedType

    public void setContainedType(SQLDataType value)

  Sets the value of the '`Contained Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Contained Type' containment reference.
  See Also:
    `getContainedType()`

### getReferencedType

    public UserDefinedType getReferencedType()

  Returns the value of the 'Referenced Type' reference.

  If the meaning of the 'Referenced Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Type' reference.
  See Also:
    `setReferencedType(UserDefinedType)`, `SQLSchemaPackage.getTypedElement_ReferencedType()`

### setReferencedType

    public void setReferencedType(UserDefinedType value)

  Sets the value of the '`Referenced Type`' reference.

  Parameters:
    `value` - the new value of the 'Referenced Type' reference.
  See Also:
    `getReferencedType()`

### setDataType

    public void setDataType(DataType newType)

  Set the type for this TypedElement

### getDataType

    public DataType getDataType()

  Get the type for this TypedElement

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.